* {
    padding: 0;
    margin: 0;
}

@font-face {
    font-family: "cmu-font";
    src: url('fonts/cmu.serif-roman.ttf') format('truetype');
}

body {
    font-family: sans-serif;
    /* background-image: url('julia.png'); */
    background-repeat: no-repeat;
    background-position: bottom right;
    background-attachment: fixed;
    background-color: #ffeeee;
}

a {
    color: #000;
}

/* {{{ Heading  */
#heading {
    height: 55px;
    font-size: 22px;
    max-width:900px;
    margin-left: auto;
    margin-right: auto;
}

#title {
    font-family: cmu-font;
    font-size: 40px;
    padding-top: 1px;
    padding-left: 10px;
    color: #005577;
    float: left;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

#oneko-logo {
    height: 46px;
    float: right;
    margin-top: 9px;
    margin-right: 50px;
}

/* }}} */

/* {{{ Nav Bar  */
#nav {
    background-color: #168;
    color: #fff;
    text-size: 15px;
    padding: 0;
    /* padding: 10px 0 7px 0px; */
}

#nav-inner {
    max-width: 900px;
    /* padding-left: 10px; */
    margin-left: auto;
    margin-right: auto;
}

#nav a {
    color: #fff;
    display: block;
    padding: 10px 10px 6px 10px;
    text-decoration: none;
}

#nav a[aria-current="page"] {
    font-weight: bold;
}

#nav a:hover {
    background-color: #227799;
}

#nav ul {
    list-style: none;
}

#nav ul li {
    display: inline-block;
    padding: 0px;
}
/* }}} */

/* {{{ Content */
#content {
    padding: 15px;
    font-size: 15px;
    line-height: 1.5em;
    max-width: 900px;
    margin-left: auto;
    margin-right: auto;
}

#content p {
    margin-top: 1.5em;
    margin-bottom: 1.5em;
}

#content a {
    text-decoration: none;
    color: #225577;
}

#content .date {
    font-size: 14px;
}

#content h1,h2,h3,h4 {
    font-family: sans-serif;
    font-weight: normal;
    color: #005577;
    /* margin-bottom: 1.5em; */
}

#content img {
    width: 19em;
    float: right;
    margin-left: 2em;
    margin-top: 1em;
    margin-bottom: 1em;
}

#content ul {
    list-style: none;
}
#content ul li {
    margin-top: 0.5em;
    margin-bottom: 0.5em;
}

.math-page {
    font-family: "cmu-font";
    font-size: 20px;
    line-height: 1.2em;
}

/* {{{ Specific Lists - Poems  */
.poems {
    font-family: serif;
    line-height: 1.2em;
    font-size: 18px;
}

.poems p {
    margin-top: 1em !important;
    margin-bottom: 1em !important;
}

.poems h1,h2,h3,h4 {
    font-family: serif !important;
}

.poems-list {
    margin-top: 3em;
}
/* }}} */

/* {{{ Specifics - Research  */
.research { }

.research-list {
    float: left;
    font-family: sans-serif;
    font-size: 18px;
    padding-right: 0em;
    margin-right: 0;
    border-right: 1px dotted #000;
}

.research-list ul li {
    padding: 0px;
    margin: 0px !important;
}

.research-list a {
    display: block;
    padding: 0.5em 0.8em 0.3em 0.5em;
}

.research-list a:hover {
    background-color: #ccc;
}

.research-list a[aria-current="page"] {
    font-weight: bold !important;
}

.research-content {
    font-size: 20px;
    margin-left: 7em;
}

/* }}} */
/* }}} */

/* {{{ Responsive UI  */

/* need to collapse research menu to top */
@media (max-width: 800px) {

    #content {
        padding: 0px;
    }

    .research-list {
        float: none;
        border-right: 0px;
        border-bottom: 1px dotted #000;
    }

    .research-list ul {
        display: flex;
        gap: 0em;
    }

    .research-content {
        margin-left: 0;
        padding: 1em;
    }
}

@media (max-width: 550px) {

    #content {
        padding: 0em;
    }

    #content p {
        padding-left: 1em;
        padding-right: 1em;
    }

    #oneko-logo {
        margin-right: 1em;
    }

    #headshot-wrapper {
        width: 100%;
        aspect-ratio: 3 / 2 ;
        overflow: hidden;
        margin-bottom: 2em;
    }

    img#headshot {
        width: 100%;
        margin: 0;
        height: 100%;
        object-fit: cover;
        object-position: center;
    }

    #heading {
        background-color: #168;
    }
    #title {
        color: #fff;
    }
    #nav {
        display: none;
    }
}

@media (max-width: 500px) {
    .research-list ul {
        display: grid;
    }
}

@media (max-width: 400px) {
    #oneko-logo {
        display: none;
    }
}

/* }}} */
